Bug 305611 - Bouncing cursor does not respect global icon size
Summary: Bouncing cursor does not respect global icon size
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 4.9.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 4.9.1
Assignee: KWin default assignee
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-08-22 15:23 UTC by Kai Uwe Broulik
Modified: 2012-08-29 17:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2012-08-22 15:23:19 UTC
[Probably also valid for the legacy implementation]

On my high resolution display (160ppi) I have configured the icon size of small icons to be 22px. The icon next to the mouse cursor stays 16x16 pixels.

Reproducible: Always
Comment 1 Kai Uwe Broulik 2012-08-27 09:15:52 UTC
Git commit 00d682baab5cf68536def4dd4643d325d01d0cb0 by Kai Uwe Broulik.
Committed on 27/08/2012 at 11:14.
Pushed by broulik into branch 'KDE/4.9'.

Make Startup Feedback Effect aka Bouncing Cursor respect global size for small icons
REVIEW: 106166
FIXED-IN: 4.9.1

M  +10   -5    kwin/effects/startupfeedback/startupfeedback.cpp
M  +1    -0    kwin/effects/startupfeedback/startupfeedback.h

http://commits.kde.org/kde-workspace/00d682baab5cf68536def4dd4643d325d01d0cb0
Comment 2 Thomas Lübking 2012-08-28 19:51:33 UTC
Git commit 16c54cb9fc4d2085db35c8115aa890f8aad571b8 by Thomas Lübking, on behalf of Kai Uwe Broulik.
Committed on 27/08/2012 at 11:14.
Pushed by luebking into branch 'master'.

Make Startup Feedback Effect aka Bouncing Cursor respect global size for small icons
REVIEW: 106166
FIXED-IN: 4.9.1

M  +10   -5    kwin/effects/startupfeedback/startupfeedback.cpp
M  +1    -0    kwin/effects/startupfeedback/startupfeedback.h

http://commits.kde.org/kde-workspace/16c54cb9fc4d2085db35c8115aa890f8aad571b8
Comment 3 Thomas Lübking 2012-08-28 19:54:11 UTC
@Kai - did you not push/merge that into master as well?
Comment 4 Martin Flöser 2012-08-28 20:19:00 UTC
> @Kai - did you not push/merge that into master as well?
in case the commit filter works correctly: no, I've only seen the commit to 
KDE/4.9 and commit and no merge commit to master
Comment 5 Thomas Lübking 2012-08-28 20:51:40 UTC
Ok, thanks - just worried i could have polluted the git history during one of the maaany merge resolutions ;-)